#!/bin/sh
# mc.sh # Pour lancer Midnight Commander
# Dép. / Dep. : wmctrl, awk
# musher0, 30 août et 15 sept. 2016; 19 et 27 févr. 2017.
# Fonctionne du fichier mc.desktop ou du menu seulement.
####
psawk () { ps | awk '$4=="mc" { print $1 }'; }

if [ "`psawk`" ];then # Si actif / If active
#	kill -s 9 `psawk`
	wID="`wmctrl -l | awk '$4=="mc" { print $1 }'`"
	wmctrl -i -a $wID

else # Sinon
	FnT="fn xft:Monaco:pixelsize=14:antialias=true:autohint=true"
# Monaco # LiberationMono # DejaVuSansMono # ok
	FadE="fade 70 -fadecolor "#94A495""
	TrnsP="tr -sh 45 -tint bisque4"
	ColoR="fg cornsilk -bg SaddleBrown -cr green"
	IcoN="icon /usr/share/icons/MidnightCommander.png"
	HoriZ="`xwininfo -root | awk '$1=="Width:" { print $2/6 }'`"
	GeoM="g 133x37+$HoriZ+110";BrdR="sr +st -b 20"

	wmctrl -s 1
# Avec transparence :
	urxvt +sb -$IcoN -$FnT -$TrnsP -$GeoM -$ColoR -bc -$BrdR +tcw -e mc "$@"
# Sans :
#	urxvt +sb -$IcoN -$FnT +tr -$GeoM -$ColoR -bc -$BrdR +tcw -e mc "$@"
fi
