#!/bin/ash
# visionner-avec-less4c.sh
# (c) musher0, 4 juillet 2015, 4 sept. 2016; GPL3
#### set -xe
[ `which joe` ] && export EDITOR=/usr/local/bin/joel.sh || export EDITOR=/usr/local/bin/defaulttexteditor
# Also known to work with less: # export EDITOR=/usr/bin/geany # export EDITOR=/usr/bin/teagtk
# export LESSEDIT=%E %f # LESSEDIT fonctionne comme-ci comme-ça.

if [ -f /tmp/nlign ];then # parms urxvt
	NLIGN="`cat /tmp/nlign`";NLIGN="` expr $NLIGN + 2`"
else
	NLIGN="28"
fi

G="g 80x$NLIGN+170+110";AUTRES="b 20 -sr +st +tcw -sbt 14 -bc +uc"
COLR="rv -bg "#2F4A3A" -fg linen -cr orange -bd orange3 +tr" # -bd "#A1B9D1"
FNT="fn xft:Monaco:pixelsize=14:antialias=true:autohint=true "
[ -f /tmp/TITR ] && TITR="`cat /tmp/TITR`" || TITR="`basename $1`"

PARMLESS="C -b 2 -J -w -s -x 3 -z 72" # parms less
AIDE="    'q' -> quitter; 'h' -> aide"
HELP="    'q' -> quit; 'h' -> help"
[ ${LANG:0:2} = "fr" ] && INFO="$AIDE" || INFO="$HELP"

urxvt -$FNT -$AUTRES -T "$TITR" -$COLR -$G 2>/dev/null -e less -$PARMLESS -P "     $INFO  " -~ "$1"
# set +xe
