#!/bin/sh
# set -xe # l'un ou l'autre
killall -q aemenu-pango;sleep 0.1 #
. /usr/local/share/MRUF/vars.GEN1
[ -f $MRUFrep/FirstRun ] && Get-Gtk-Theme.sh && exit

cd $MRUFrep # Habillage par défaut & Variables
[ ! -f Fonte ] && echo "OpenSans-Light" > Fonte;Caract="`head -1 $MRUFrep/Fonte`"
[ ! -f Size ] && echo 12 > Size;Size="`head -1 $MRUFrep/Size`"
[ ! -f Color ] && echo -e "bisque\nsnow" > Color
Color1="`head -1 $MRUFrep/Color`";Color2="`tail -1 $MRUFrep/Color`"
# LANG=en_CA.utf8
NexistePas () {
if [ "${LANG:0:2}" = "fr" ];then
		TXTMSG4="
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"\t\t\t\t\t<span color='red'><span rise='-9000' underline='double'><i> Hum... </i></span></span>\" \" \"
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"Comme le registre des fichiers récents « recently-used.xbel » \" \" \"
cmd \"  ne contient rien encore, ou qu'il n'existe plus, ce script ne \" \" \"
cmd \"  peut rien afficher. Faites quelques opérations pour recréer  \" \" \"
cmd \"     ou repeupler le fichier « xbel » et réessayez plus tard. \" \" \"
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"\t\t\t     <span color='red'><i>~~~~~~~~~~~~~~</i></span>\" \"\"
cmd \" \" \" \""
elif [ "${LANG:0:2}" = "en" ];then
		TXTMSG4="
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"\t\t\t\t<span color='red'><span rise='-9000' underline='double'><i> Hm... </i></span></span>\" \" \"
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"There is nothing in file recently-used.xbel right now\" \" \"
cmd \"  -- or it doesn't exist --, so this script can't display\" \" \"
cmd \"      anything yet. Please do a few operations to \" \" \"
cmd \"   recreate | repopulate the file and try again later. \" \" \"
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"\t\t     <span color='red'><i>~~~~~~~~~~~~~~</i></span>\" \"\"
cmd \" \" \" \""
# elif [ "${LANG:0:2}" = "??" ];then...
fi
echo -e "$TXTMSG4" > /tmp/NexistePas
bash -c 'GTK2_RC_FILES=/root/.aewm/ae/aepanel-custom.gtkrc aemenu-pango -rc /tmp/NexistePas'
exit; }

####

case "$@" in
	A|a|H|h)TitrE="                 ~~~~~~ $MRUFv ~~~~~~"
	ExecS="aemenu-pango & bcm (vovchik), bash (v. >= 4.2; Fox & al.),
     less (Greenwood), replaceit (Daniels), sfs_load (shinobar), UExtract
     (SFR), urxvt (v. >= 9.2; Lehmann & al.), file (Darwin & al.)."
	DonneeS=".mtpaint, (.)recently-used.xbel, geany.conf. ## Options :
     global_history.dat, bookmarks (links2 & MZ), sqlite*, history
     (Vivaldi, Chrom* et al.)."
	BashS="hic-et-nunc2.sh, CleanMTPaintHistory.sh, gpl3.sh,
     mc.sh, sqlitemanager.sh (BarryK), visionner-avec-less4c.sh, etc."
     FiN="  https://tinyurl.com/ycmxqvem; MRUF-lst: https://tinyurl.com/y8bfgfvv\e[0m\n
   #######################################################################"
	case "${LANG%_*}" in	en)echo -e "\n\n   $TitrE\n\n      Allows access to files and directories you used most recently
     (MRUF|MRUD). Usable within Puppy|Quirky with most WM's and FM's.
        This app can be a great time-saver in your daily computing.\n
       \e[33m(c) Christian L'Écuyer, alias « musher0 » (PuppyLinux forum),
       Gatineau (Qc), Canada, end of Oct.-beg. of Nov. 2012. # Edits:
      Oct. 15, Nov. 16 2013 to end of June - Aug. 2 2017 (v. 0.9.7.9).\e[0m
   \t       \e[33mGPL3: https://opensource.org/licenses/GPL-3.0\e[0m\n
   \t\t\t   \e[32m\e[4m~~~ Required ~~~\e[24m
   Exec.: $ExecS\n   Data: $DonneeS\n   Bash Scripts: $BashS
     (I authored those scripts unless otherwise mentioned.)\n\e[0m
                \e[36m~~~  Credits, thanks and references  ~~~
      Icon: Puppus Dogfellow. ### Comments: BarryK, Lazy_Puppy, Mike
     Walsh, MochiMoppei, stu91. ### Ref.: aemenu-pango & bcm (vovchik),
  $FiN
                    (Type 'Enter' to close this panel.)" ;;
     fr)echo -e "\n\n   $TitrE\n\n     Permet d'accéder aux répertoires et fichiers récemment utilisés.
    \t  S'utilise dans Puppy|Toutou|Quirky avec la plupart des
                 gestionnaires de fenêtres et de fichiers.
        Cette application peut vous faire gagner beaucoup de temps.\n
       \e[33m(c) Christian L'Écuyer, alias « musher0 » (forum PuppyLinux),
     Gatineau (Qc), Canada, fin oct. - début nov. 2012. ### Révisions :
        15 oct., 16 nov. 2013 à fin juin - 2 août 2017 (v. 0.9.7.9).
   \t       \e[33mGPL3 : https://opensource.org/licenses/GPL-3.0\e[0m\n
   \t\t\t      \e[32m\e[4m~~~ Requis ~~~\e[24m
   Exéc. : $ExecS\n   Données: $DonneeS
   Scripts en bash : $BashS
     (Je suis l'auteur de ces scripts sauf indication contraire.)\n\e[0m
             \e[36m~~~  Crédits, remerciements et références  ~~~
   Icône : Puppus Dogfellow.  ##  Obs. : BarryK, Lazy_Puppy, Mike Walsh,
       MochiMoppei, stu91.  ##  Réf. : aemenu-pango & bcm (vovchik),
  $FiN
                    (Taper 'Entrer' pour fermer ce panneau.)" ;;
     esac;read
     ;; # Description

	*)# LANG=en_CA.utf8 # Uncomment this line to force debugging / testing of the script in English.
# Re-comment this line for normal operation in your localized language.

# Vérification essentielle : si le fichier xbel existe et s'il contient des références à des fichiers.
	[ ! -f $XBelsrc ] && NexistePas
	[ "`grep file $XBelsrc | wc -l`" = "0" ] && NexistePas

# Si tout est beau, le script se met à l'ouvrage.
		if [ ! -f SqlitE ];then
			[ -f /usr/local/bin/sqlitemanager.sh ] && echo "/usr/local/bin/sqlitemanager.sh" > SqlitE
		fi
		[ -f SqlitE ] && SqlitE="`head -1 $MRUFrep/SqlitE`"

# For file managers # Thanks to Mike Walsh for this suggestion. # Sept. 5 2016
		[ ! -f FileMan ] && echo rox > FileMan;FM="`head -1 $MRUFrep/FileMan`"
		SpaN2="</span></span>"

# Construction du menu # En-tête
	echo -e "### aemenu ###\n# This is a dynamic file! # Ce fichier change tout le temps !
# Do not edit directly.  # # Ne pas éditer directement.\n# aemenu pour MRUF-lst.*
# ${LANG%_*} \n" > /tmp/en-tete
Temps="`date '+%R'`"
case "${LANG%_*}" in fr)
		DOCREC=" Documents récents";DaT="`date '+%a. %d %b. %Y'`" ;;
	en|*)
		DOCREC=" Recent Documents";DaT="`date '+%a. %b. %d %Y'`" ;;
esac
echo -e "cmd \"  <span color='$Color2'><span rise='9000' underline='double'><i> $DaT </i></span></span>\" \"/usr/local/bin/hic-et-nunc2.sh;$MRUF\"" >> /tmp/en-tete

LarGEcran="`xwininfo -root | awk '$1 ~ /Width/ { print $2 }'`";CutOff=1025
if [ "$LarGEcran" -gt "$CutOff" ];then # Wider / narrower screens
	echo -e "menu \"<span rise='9000' font='$Caract bold $Size'><span color='$Color1'><i>$DOCREC</i>$SpaN2\"" >> /tmp/en-tete
else
	echo -e "cmd \"<span rise='9000' font='$Caract bold $Size'><span color='$Color1'><i>$DOCREC</i>$SpaN2\" \" \" " >> /tmp/en-tete
fi

# Corps #
	if [ ! -f $corps -o "`grep -ow ${LANG%_*} /tmp/en-tete`" = "" -o "`ls -Algo $XBelsrc | awk '{ print $3 }'`" != "`cat XbelSize`" -o "`ls -AlgoH /usr/local/bin/$MRUFv | awk '{ print $3 }'`" != "`cat ScriptSize`" -o "`ls -Algo /root/.config/geany/geany.conf | awk '{ print $3 }'`" != "`cat /root/.config/geany/Size.geany.conf`" -o "`ls -Algo /root/.mtpaint | awk '{ print $3 }'`" != "`cat /root/Size.mtpaint`" ];then # See Size stamps towards end of script.
	# Menu existence, which language, freshness and script editing detection, etc.
#		DepuiS="`echo $DaT | awk '{ print $NF }'`"

# Attente
		case "${LANG:0:2}" in fr)TXTMSG3="
Le menu doit être mis à jour.
... Merci de votre patience ...
 ~~~~~~~~~~~~~~~~~~~~~~~~~~
Si les couleurs ne conviennent pas, allez
à 'Param.->Habillage->Jeux de couleurs'." ;;
			en|*)TXTMSG3="
The menu must be updated.
... Thanks for waiting ...
 ~~~~~~~~~~~~~~~~~~~~~~~~~~
If the colors are not satisfactory, use
'Param.->Dress-up->ColorSchemes'." ;;
		esac

		bcm -u /usr/local/share/pixmaps/mrudicon2-48x-trnsprnt.png -a 1 -g c:c -d 5 -b "#000000FF" -c "#0c0c0c8F" -t "<span font='LiberationSerif Bold Italic 18' color='$Color1' gravity='north' gravity_hint='line'>$TXTMSG3</span>" 2>/dev/null &
		echo . > $corps

# Variables
		. /usr/local/share/MRUF/vars.GEN2
		[ ! -L $XBel ] && ln -s /root/.local/share/recently-used.xbel $XBel

		LnG="${LANG%_*}";[ "$LnG" != "fr" -a "$LnG" != "en" ] && LnG="en"
		. /usr/local/share/MRUF/vars.$LnG
# Read file / Lire le fichier # /usr/share/doc/MRUF-lst/MRUF-langues.txt
# to implement other languages. / pour implémenter d'autres langues.

# Fonctions
		RplaciT () { replaceit --input=${j} "/initrd/mnt/dev_save" "/mnt/home"; }
##
		EnD  () {
			echo "end
				" >> $corps;	}
##
		BacKuP () { BkP="";BkP="cp -f --backup ${j} ${j}.bkp";
		echo -e "cmd \"$DSeaGR<i> ⚫ $BackuP </i>$SpaN2\" \"$BkP;$MRUF\"
	cmd \"$DSeaGR<i> ⚫ $EFF  </i>$SpaN2\" \"$BkP;rm -f ${j};rm -f $corps;$MRUF\"" >> $corps
		EnD; }
##
		dIRs () {
		dir="";for dir in `cat ${j}`;do
			[ -d "${dir#*//}" ] && echo "cmd \"${dir#*//}\" \"$FM '${dir#*//}'\"" >> $corps
		done; }
##
		tITRe () { echo -e "menu \"$SpanSizE2<i> ${j}</i>$SpaN2\"\n$LignESpaN" >> $corps; }
##
		Shorten2 () { V="";V="${i}";V="`echo ${V} | awk -F"/" '{ print "..."$(NF-2)"/"$(NF-1)"/"$NF }'`"; } # Long lines.
##
		MRUD () { k="";k="${j}";j="";j="/tmp/MRUFprog";
		RplaciT
		j="";j="${k}";i="";for i in `cat /tmp/MRUFprog`;do
			[ -f "$i" ] && Shorten2 && echo "cmd \"${V}\" \"default${j}editor '$i';$MRUF\"" >> $corps
		done
		echo "$LignESpaN" >> $corps
		j="";j="⚫ M. R. U. Dirs";tITRe
		> /tmp/MRUDprog
		i="";for i in `cat /tmp/MRUFprog | grep -v recent_files`;do
			[ -f "$i" ] && dirname $i >> /tmp/MRUDprog
		done
		k="";k="${j}";j="";j="/tmp/MRUDprog2"
		sort -u /tmp/MRUDprog > ${j}
		RplaciT
		dIRs;j="${k}";EnD; }
##
		DefEdVieW () {
		echo -e "$LignESpaN\n   cmd \"   default${j}editor\" \"default${j}editor;$MRUF\"
	cmd \"   default${j}viewer\" \"default${j}viewer;$MRUF\"" >> $corps
		EnD; }
##
		Shorten () { V="${file#*//}";V="`echo ${V} | awk -F"/" '{ print "..."$(NF-2)"/"$(NF-1)"/"$NF }'`"; } # Long lines.
##
		FilHndlR () {
			if [ -f "${file#*//}" ];then
#				if [ "`file -b ${file#*//} | awk '$0 !~ /text|image|package|Squashfs|[Zz]ip/'`" ];then
#					Shorten;echo "cmd \"${V}\" \"xdg-open ${file#*//};$MRUF\"" >> $corps
					# "compression" enlevé parce que les jpeg ont une mention "compression=none".
					# musher0, 24 juillet 2017
#
				if [ "`file -b ${file#*//} | awk '/package|compression/'`" ];then
					#	if [[ "${file#*//}" =~ .*pet.* ]];then # Façon regex. # Note pour moi.
						Shorten
						echo "cmd \"${V}\" \"/usr/local/apps/UExtract/AppRun '${file#*//}';$MRUF\"" >> $corps
				elif [ "`file -b ${file#*//} | awk '/Squashfs/'`" ];then Shorten
					echo "cmd \"${V}\" \"sfs_load '${file#*//}';$MRUF\"" >> $corps
				elif [ "`file -b ${file#*//} | awk '/[Zz]ip/'`" ];then Shorten
					echo "cmd \"${V}\" \"xarchive '${file#*//}';$MRUF\"" >> $corps
				elif [ "`file -b ${file#*//} | awk '/text/'`" ];then Shorten
					echo "cmd \"${V}\" \"defaulttextviewer '${file#*//}';$MRUF\"" >> $corps
				elif [ "`file -b ${file#*//} | awk '/image/'`" ];then Shorten
					echo "cmd \"${V}\" \"defaultimageviewer '${file#*//}';$MRUF\"" >> $corps
				else
					Shorten;echo "cmd \"${V}\" \"xdg-open ${file#*//};$MRUF\"" >> $corps
				fi
			fi; }
##
		BkPLine (){ BkP="";BkP="cp -f --backup ${k} ${k}.bkp";
		echo "cmd \"$DSeaGR<i> ⚫ $BackuP </i>$SpaN2\" \"$BkP;$MRUF\"" >> $corps; }
##
		EffacE () { echo "cmd  \"$DSeaGR<i> ⚫ $EFF  </i>$SpaN2\" \"$BkP;Clean${j}History.sh;rm -f $corps;$MRUF\"" >> $corps; }
##
		gMplyR () { j="";j="${k}/mplayer.lst";
			> ${j}
			gui="";for gui in gui.${ending};do
				[ "`wc -l < $gui`" -gt "0" ] && cat $gui >> ${k}/mplayer.lst
				RplaciT
			done
			sort -u ${j} | head -n 7 > /tmp/MRUFprog; }

		ChoiX () {
			echo -e "$LignESpaN\n	cmd \"$DSeaGR<i> ⚫ $ChoiX  </i>$SpaN2\" \" \"\n	$LignESpaN
		" >> $corps; }
###
#### We build! | On construit ! :-)
		LC_ALL=C # for speed
		echo "$LignESpaN" >> $corps
		j="";j="⚫ ' xbel '";tITRe
#
		j="";j="⚫ $FiL";tITRe
		file="";for file in `awk -F"\"" '/href/ && $2 !~ /'${PicS}'|\.sh|MRUF|init|etc|recents/ { print $2 }' $XBel | tail -n 14`;do
			FilHndlR
			dirname "${file#*//}" >> /tmp/dir-catalog # Prép. pour M.R.U.D., 3e ci-dessous.
		done;echo -e "$LignESpaN
		cmd \"$SpanSizE3<i>⚫ ($FichRecnt [' xbel '])</i>$SpaN2\" \"\"" >> $corps
		EnD # General files
#
		j="";j="⚫ Images";tITRe
#		awk -F"\"" '$2 ~ /'${PicS}'/ { print $2 }' $XBel | tail -n 14 | sort -u > /tmp.tmp
#		while read line; do FilHndlR; done < /tmp.tmp # Ça allait, puis ça ne va plus. Bizarre.
		file="";for file in `awk -F"\"" '$2 ~ /'${PicS}'/ { print $2 }' $XBel | tail -n 14`;do
			FilHndlR
		done
		echo -e "$LignESpaN
		cmd \"$SpanSizE3<i>⚫ ($ImGRecnt [' xbel '])</i>$SpaN2\" \"\"" >> $corps
		EnD # Images
#
		j="";j="⚫ $APPS";tITRe
		for app in `awk -F";" '$1 ~ /exec/ { print $2 }' $XBel | awk '{ print $1 }' | sort -u`;do
			[ "`which $app`" ] && echo "cmd $app \"$app;$MRUF\"" >> $corps
		done;echo -e "$LignESpaN
		cmd \"$SpanSizE3<i>⚫ ($ApPRecnt [' xbel '])</i>$SpaN2\" \"\"" >> $corps
		EnD # Apps
#
		j="";j="⚫ Scripts";tITRe
		awk -F"\"" '$2 ~ /\.sh/ && $2 !~ /MRUF/ { print $2,$(NF-1) }' $XBel | awk -F"T" '{ print $1 }' | sort -u -r -k 2 | head -n 14 | awk '{ print $1 }' > /tmp/scripts.xbel
		while read line;do
			echo "cmd ${line##*/} \"defaulttexteditor $line\"" >> $corps
		done < /tmp/scripts.xbel
		echo -e "$LignESpaN
		cmd \"$SpanSizE3<i>⚫ (14 $ScrpTRecnt [' xbel '])</i>$SpaN2\" \"\"" >> $corps
		EnD # Scripts
#
		j="";j="⚫ M. R. U. Dirs";tITRe
		j="";j="/tmp/dir-catalog";RplaciT
		k="";k="${j}";j="";j="/tmp/dir-catalog.uniq"
		sort -u ${k} > ${j}
		dIRs;echo -e "$LignESpaN
		cmd \"$SpanSizE3<i>⚫ ($DiRRecnt [' xbel '])</i>$SpaN2\" \"\"" >> $corps
		EnD # MRUD
#
		j="";j="$XBelsrc";echo -e "$LignESpaN" >> $corps
		BacKuP
		# EnD ## End of general section | Fin de la section générale | xbel.
###
		j="";j="⚫ URLs";tITRe # URLs
##
		NamE="global_history.dat";DiR="/root/.opera/profile";
		OprAHsT="`find /root/.opera/profile -maxdepth 1 -name global_history.dat | head -1`"
		if [ "$OprAHsT" = "" ];then
			OprAHsT="`find /mnt/sd*/opera*/pro* -maxdepth 1 -name global_history.dat | head -1`"
		fi
		if [ "$OprAHsT" != "" ];then # If we have something, we create the sub-menu.
			j="";j="⚫ Opera-12.x";tITRe
			http="";for http in `awk '/http/ && $1 !~ /'${aVOId}'/' $OprAHsT | head -n 14`
				do
					if [ "${#http}" -gt 60 ];then
						V=$http;V="${V:8:20}"
						l="`echo $[${#http} - 25]`"
						W="${http:$l:${#http}}"
						echo "cmd \"...$V...$W\" \"defaultbrowser $http\"" >> $corps
					else
						echo "cmd \"...${http:8:${#http}}\" \"defaultbrowser $http\"" >> $corps
					fi
				done # Vérifier :	echo "cmd \"opera:history\" \"opera opera:history\"" >> $corps
			BkP="cp -f --backup $OprAHsT $OprAHsT.bkp"
			echo -e "cmd \"$DSeaGR<i> ⚫ $BackuP </i>$SpaN2\" \"$BkP;$MRUF\"
			cmd \"$DSeaGR<i> ⚫ $EFF  </i>$SpaN2\" \"[ "`ps | awk '$4 ~ /opera/'`" = "" ] && $BkP && rm -f $OprAHsT;rm -f $corps;$MRUF\"
			$LignESpaN" >> $corps # Erasing works only if opera is not loaded.
			echo "cmd \"opera\" \"opera;$MRUF\"" >> $corps
		EnD;fi # End, opera-12.x section
##
		k="/root/.links/bookmarks.html";if [ -f $k ];then # If we have Links2.
			j="";j="⚫ Links2";tITRe
			http="";for http in `awk -F"\"" '$2 ~ /http/ && $2 !~ /'${aVOId}'/ { print $2 }' $k | tail -n 14`;do
			# | sort -u
				echo "cmd \"$http\" \"defaulthtmlviewer $http;$MRUF\"" >> $corps
			done
			echo -e "cmd \"$SpanSizE3<i>⚫ (pseudo-$HistoriQ)</i>$SpaN2\" \"$MRUF\"
$LignESpaN\ncmd \"defaulthtmlviewer\" \"defaulthtmlviewer\"" >> $corps
		EnD;fi # links2 # pseudo-history
##
		> /tmp/RepS;for dir in light firefox mozilla palemoon seamonkey; do # MZ browsers section
			[ "`tree -fi /root/.$dir -L 1 | grep error`" ] || echo $dir >> /tmp/RepS
		done;while read line;do
				j="";j="⚫ $line";tITRe;MZ="`tree -fi /root/.$line -L 5 | grep places.sqlite | tail -1`"
				if [ "$MZ" ];then # Line below: Unix timestamp for today, less 30 days.
					a="`date +%s`";let b=30*24*60*60;let c=$a-$b
					http=""
					for http in `awk -F"\"" '$2 ~ /http/ && $2 !~ /'${aVOId}'/ && $6 > '${c}' { print $2 }' $MZ | tail -n 14`;do # | sort -u
						echo "cmd \"$http\" \"defaultbrowser $http;$MRUF\"" >> $corps
					done
					echo -e "cmd \"$SpanSizE3<i>⚫ (pseudo-$HistoriQ)</i>$SpaN2\" \"$MRUF\"" >> $corps
				fi # End, MZ bookmarks sub-section.
#
				if [ -f $MRUFrep/SqlitE ];then # Won't kick in if no sqlite is detected.
					echo -e "cmd \"places.sqlite\" \"$SqlitE $PlacE;$MRUF\"" >> $corps
					echo "  cmd \"$DSeaGR<i> ⚫ $BackuP </i>$SpaN2\" \"cp -f --backup $PlacE $PlacE.bkp\"" >> $corps
				fi # End, places.sqlite sub-section.
#
				[ -f /root/.$line/$line/bookmarks.html ] &&	echo -e "$LignESpaN
cmd \"bookmarks\" \"defaultbrowser file:///root/.$line/$line/bookmarks.html;$MRUF\"" >> $corps
				echo -e "$LignESpaN\ncmd \"  $MZbr\" $line\nend" >> $corps
		done < /tmp/RepS # End, MZ section
##
		ViV="`find /m* /u* -maxdepth 4 -name vivaldi-bin | head -1`";ViV="`dirname $ViV`" #
		if [ "$ViV" != "" ];then
			j="";j="⚫ Vivaldi";tITRe
			echo -e "cmd \"$HistoriQ\" \"cd $ViV;./vivaldi --no-sandbox --enable-grouped-history --user-data-dir=profile vivaldi://history;MRUF\"" >> $corps
			pDH="profile/Default/History"
			[ -f $MRUFrep/SqlitE ] && echo -e "cmd \"$HistoriQ (local)\" \"cd $ViV;$SqlitE $ViV/$pDH;$MRUF\"
	cmd \"$DSeaGR<i> ⚫ $BackuP </i>$SpaN2\" \"cd $ViV;cp -f --backup $pDH $pDH.bkp;$MRUF\"
	$LignESpaN\ncmd \"  $MZbr\" \"cd $ViV;$ViV/lancer.sh\"
" >> $corps
		EnD;fi # End, Vivaldi section # Rev. July 23 2017
##
		if [ "`which chromium`" ];then # Based on peebee's chromium-44 sfs.
			j="";j="⚫ Chromium";tITRe
			echo -e "cmd \"$HistoriQ\" \"chromium chrome://history;$MRUF\"" >> $corps
			cDH="/root/.config/chromium/Default/History"
			[ -f $MRUFrep/SqlitE ] && echo "cmd \"$HistoriQ  (local)\" \"$SqlitE $cDH;$MRUF\"
			cmd \"$DSeaGR<i> ⚫ $BackuP </i>$SpaN2\" \"cp -f --backup $cDH $cDH.bkp;$MRUF\"" >> $corps
		End

		EnD;fi # Pourquoi 2 fois ? # End of Chromium section.
##
		echo -e "$LignESpaN\ncmd \"  defaultbrowser\" \"defaultbrowser;$MRUF\"
cmd \"  defaulthtmlviewer  \" \"defaulthtmlviewer;$MRUF\"" >> $corps
		EnD # URLs
###
	j="";j="⚫ $APPS";tITRe
		k="";k="/root/.config/geany/geany.conf";if [ -f ${k} ];then # Skipped if no Geany.
			j="";j="⚫ Geany";tITRe
			cd "${k%/*}"
			grep t_files= "${k##/*/}" | tr ";" "\n" | grep -v MRUF | head -n 14 > /tmp/MRUFprog
			echo -e "cmd \"$SpanSizE3<i>⚫ (Textes récents [' geany '])</i>$SpaN2\" \" \"" >> $corps
			j="";j="text";MRUD
			echo "$LignESpaN" >> $corps
			BkPLine
			j="";j="Geany";EffacE
			j="";j="text";DefEdVieW # Erasing works only if program not running.
		fi # End, Geany section
###
		if [ -f /usr/bin/gmplayer ];then
			MplayeR="gmplayer" # Tester aussi avec smplayer :
			# [ -f /usr/bin/gmplayer ] && MplayeR="gmplayer" || MplayeR="smplayer"
			j="";j="⚫ gMPlayer";tITRe
			echo -e "cmd \"$SpanSizE3<i>⚫ $MPlyRFils</i>$SpaN2\" \" \"" >> $corps
			k="";k="/root/.mplayer";cd ${k}
			ending="";ending="url";gMplyR # Radios et autres # Aussi gui.pl? Non.
			media="";for media in `cat /tmp/MRUFprog`;do
				echo "cmd \"${media##*/}\" \"$MplayeR $media;$MRUF\"" >> $corps
			done
			echo "$LignESpaN" >> $corps
			j="";j="⚫ M. R. U. Dirs";tITRe
			ending="";ending="history";gMplyR  # For directories
			media="";for media in `cat /tmp/MRUFprog`;do
				echo "cmd \"${media##*/}\" \"rox $media;$MRUF\"" >> $corps
			done;EnD
			echo -e "$LignESpaN
			cmd  \"$DSeaGR<i> ⚫ $EFFs  </i>$SpaN2\" \"CleanMPlayerHistory.sh;rm -f $corps;$MRUF\"
			cmd  \"$DSeaGR<i> ⚫ $EDTs  </i>$SpaN2\" \"defaulttexteditor ${k}/gui.history ${k}/gui.url;$MRUF\"
			$LignESpaN" >> $corps
			for exec in audio media video;do
				[ -f /usr/local/bin/default${exec}player ] && echo -e "cmd \"  default${exec}player  \" \"default${exec}player;$MRUF\"" >> $corps
			done;EnD
		fi # End, MPlayer section
###
		k="";k="/root/.mtpaint"
		if [ -f ${k} ];then # Skipped if no mtpaint.
			j="";j="⚫ Mtpaint";tITRe
			awk '$1 ~ /^file/ && $0 !~ /MRUF/ { print $3 }' ${k} | head -n 14 > /tmp/MRUFprog # | sort -u
			echo -e "cmd \"$SpanSizE3<i>⚫ ($ImGRecnt [' mtpaint '])</i>$SpaN2\" \" \"" >> $corps
			j="";j="image";MRUD
			echo "$LignESpaN" >> $corps
			BkPLine
			j="";j="MTPaint";EffacE # Erasing works only if program not running.
			j="";j="image";DefEdVieW
		fi # End, MtPaint section
###
			j="";j="⚫ sqlite";tITRe
			echo -e "cmd \" sqlite manager\" sqlitemanager.sh;$MRUF
				$LignESpaN
			end"  >> $corps
			echo "$LignESpaN" >> $corps
		EnD
###


		j="";j="⚫ bash+Syst.";tITRe
###
		k="";for k in bash-bash_history less-lesshst noX_console-history;do
			j="";j="⚫ ${k%-*}";tITRe
			j="";j=".${k#*-}"
			[ -f /root/"${j}" ] && echo "cmd \"    $HIST\" \"/opt/local/bin/visionner-avec-less.sh /root/${j};$MRUF\"" >> $corps
			BacKuP
		done
#
		j="";j="⚫ ' xerrs.log '";tITRe
		echo "cmd \"    xerrs.log\" \"/opt/local/bin/visionner-xerrs_log-2c.sh;$MRUF\"" >> $corps
		j="";j="/tmp/xerrs.log";BacKuP
#
		j="";j="⚫ ' Xorg.log '";tITRe
		j="";j="/var/log/Xorg.0.log"
		echo "cmd \"    Xorg.log\" \"/opt/local/bin/visionner-avec-less.sh ${j};$MRUF\"
		cmd \"$DSeaGR<i> ⚫ $BackuP </i>$SpaN2\" \"cp -f --backup ${j} ${j}.bkp;$MRUF\"" >> $corps
#
		echo -e "end\n$LignESpaN\ncmd \"   console\" \"console-hdr.sh;$MRUF\"
	cmd \"   less\" \"cd /usr/local/bin;/opt/local/bin/visionner-avec-less.sh NQuelTxt;$MRUF\"
	cmd \"   $InviT\" \"killall X\"" >> $corps
		EnD # Terminal
###
		j="";case "${LANG:0:2}" in fr)j="⚫ 14 derniers" ;;
			en|*)j="⚫ Last 14" ;;
		esac;tITRe
		j="";case "${LANG:0:2}" in fr)j="⚫ paquets" ;;
			en|*)j="⚫ packages" ;;
		esac;tITRe
		cd /root/.packages
		ls -Algot *.files | head -n 14 | awk -F. '{ print $1 }' | awk '{ print $4,$5,$7 }' > /tmp/liste-PPM
		while read line;do
			echo "cmd \"${line% *}--${line##* }\" \"/opt/local/bin/visionner-avec-less.sh /root/.packages/${line##* }.*.files\"" >> $corps
		done < /tmp/liste-PPM
		echo "$LignESpaN
		cmd \"$PpM\" ppm" >> $corps
		EnD # End, 14 last packages installed by petget
#
		j="";case "${LANG:0:2}" in fr)j="⚫ Mes docs" ;;
			en|*)j="⚫ My Docs" ;; ####
		esac;tITRe
		cd /root/my-documents
		ls -Algot | grep -v -E "lrw|drw" | head -n 15 | awk '{ print $4,$5,$7 }' > /tmp/liste-Mes-docs
				while read line;do
				if [ "$line" != "" ];then
					echo "cmd \"${line% *}--${line##* }\" \"rox /root/my-documents/${line##* }\"" >> $corps
				fi
		done < /tmp/liste-Mes-docs
		echo "$LignESpaN" >> $corps
		EnD # End, 14 last personal docs.
		echo "$LignESpaN" >> $corps
		EnD # End, "14 Last" section
		echo "$LignESpaN" >> $corps
		[ "$LarGEcran" -gt "$CutOff" ] && EnD
#
###
		echo -e "$SeaGreeN" >> $corps
		j="";j="                $HlP";tITRe
		echo -e "cmd \"$SpanSizE2<i>   MRUF-lst (Description $CRDTS)</i>$SpaN2\" \"urxvt -$FnT -title 'MRUF-lst - Description & Credits' -bg '#49301A' -$ClR -g 80x32 -b 20 +uc -bc +sb -e MRUF-lst h;$MRUF\"\n$LignESpaN" >> $corps
# #49301A	# #5D452F
		for ligne in "$LigN1" "$LigN2" "$LigN3";do
			echo "cmd \"$SpanBolD<i>$ligne</i>$SpaN2\" \" \"" >> $corps;done
		echo -e "$LignESpaN\n	cmd \"$SpanBolD<i>$LigN7</i>$SpaN2\" \" \"
	$LignESpaN\n	cmd \"$SpanBolD<i>$LigN6</i>$SpaN2\" \" \"" >> $corps
		[ "`which chromium`" ] && echo -e "$LignESpaN\n	cmd \"$SpanBolD<i>$MayNoTLanD</i>$SpaN2\" \" \"" >> $corps
		echo "$LignESpaN" >> $corps
		ligne="";for ligne in "$LigN8" "$LigN9" "$LigN10" "$LigN11" "$LigN12";do
			echo "cmd \"$SpanBolD<i>$ligne</i>$SpaN2\" \" \"" >> $corps;done
		echo "$LignESpaN" >> $corps
		ligne="";for ligne in "$LigN13" "$LigN14" "$LigN15";do
			echo "cmd \"$SpanBolD<i>$ligne</i>$SpaN2\" \" \"" >> $corps;done
		echo -e "$LignESpaN\n	cmd \"$SpanBolD<i>$LigN16</i>$SpaN2\" \" \"
		$LignESpaN\n	cmd \"$SpanBolD<i>$LigN17</i>$SpaN2\" \" \"
		$LignESpaN\n	cmd \"$SpanSizE2<i>   $LiC</i>$SpaN2\" /usr/share/doc/MRUF-lst/gpl3.sh
		$LignESpaN" >> $corps
		EnD # Help
##
		j="";j="              Param.";tITRe
		j="";j="   $HabiT";tITRe
		j="";j="  $ClRs";tITRe
		cd $MRUFrep;for i in `ls -1 ColorS*`;do
			ColorA="`head -1 $i`";ColorB="`tail -1 $i`"
			echo "cmd \"<span fgcolor='$ColorA'><i>  $SchM</i><span fgcolor='$ColorB'><i> $i </i>$SpaN2\" \"cat ${i} > Color;rm -f $corps;$MRUF\"" >> $corps
		done
		ChoiX;EnD # Colors
#
		j="";j="  $Taille";tITRe
		for i in 8 9 10 11 12 13 14 15 16 17;do
			echo "cmd \"      $i\" \"echo $i > $MRUFrep/Size;rm -f $corps;$MRUF\"" >> $corps
		done
		ChoiX;EnD # Sizes
#
		echo -e "$LignESpaN\n   cmd \"  GTK chtheme\" \"gtk_chtheme_wrapper;Get-Gtk-Theme.sh;exit\"
   cmd \"  $FixColors\" \"Get-Gtk-Theme.sh;exit\"" >> $corps # $MRUF ?
		EnD # Dress-up
###
		j="";j="   $FileMan";tITRe
		for flmngr in MidnightCommander_mc.sh PcMan_pcmanfm ROX-Filer_rox Xfe_xfe;do
# Add any FM that you are using in your Puppy by following above pattern.
			[ "`which ${flmngr#*_}`" ] && echo "cmd \"   ${flmngr%_*}\" \"echo ${flmngr#*_} > $MRUFrep/FileMan;$MRUF\"" >> $corps # < which > to prevent accidents.
		done
		ChoiX
		EnD # FileManagers
		echo "$LignESpaN" >> $corps
		EnD # params.
##
		echo -e "cmd \"       <span color='$Color2'>━━━━━━━━</span>\" \"$MRUF\"
		menu \"\t <span rise='9000' font='$Caract bold $Size'><span color='$Color1'><i>$MenU</i>$SpaN2\"
		$LignESpaN
		cmd \"$DSeaGR<i> ⚫  $RefresH </i>$SpaN2\" \"mv -f $corps $corps.bkp\"
# Pour déboguer, enlever le « # » ci-dessous. / To debug, remove the "\#" below.
		cmd \"  <~- $EDT\" \"defaulttexteditor /tmp/recents\"
		cmd \"$DSeaGR<i> ⚫  $RebuilD</i>$SpaN2\" \"rm -f $corps;rm /tmp/en-tete\"
		$LignESpaN
		end
		cmd \"    $mAj $Temps \" \" \"" >> $corps
##
		i="";for i in /tmp/dir-catalog* /tmp/MRUF* /tmp/MRUD*;do rm -f $i 2>/dev/null;done
# Nettoyage / Clean-up
		ls -Algo $XBelsrc | awk '{ print $3 }' > $MRUFrep/XbelSize # Size stamps for xbel file
		ls -AlgoH /usr/local/bin/$MRUFv | awk '{ print $3 }' > $MRUFrep/ScriptSize # and this script.
		ls -Algo /root/.config/geany/geany.conf | awk '{ print $3 }' > /root/.config/geany/Size.geany.conf
		ls -Algo /root/.mtpaint | awk '{ print $3 }' > /root/Size.mtpaint
###
		replaceit --input=$corps "/initrd/mnt/dev_save" "/mnt/home" # Retouches pour
		replaceit --input=$corps "/initrd/mnt/tmpfs/tmp" "/tmp" # raccourcir les lignes. /
		replaceit --input=$corps "/mnt/sda1/DpupStretch-7.0b/yaya/my-documents" "/root/my-documents"
		# Touch-ups to shorten lines.

		cat /tmp/en-tete $corps > /tmp/recents # Action
		LC_ALL="" # Brings LC_ALL back to default value.
	fi
### Fin du / End of / menu
	aemenu-pango -rc /tmp/recents 2>/dev/null ;; # Affichage / We show the menu.
esac # set +xe
